aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Mike Kelly <pioto@pioto.org> 2006-09-05 01:27:50 +0000
committerAvatar Mike Kelly <pioto@pioto.org> 2006-09-05 01:27:50 +0000
commitbfd39185f25d45df0e07e241b52c378435a9491c (patch)
tree88a959fd1532194573b3de3ac055d62fd6e802b3
parenta1a542e96e9daf733c23769ec159c368220630c7 (diff)
downloadpaludis-bfd39185f25d45df0e07e241b52c378435a9491c.tar.gz
paludis-bfd39185f25d45df0e07e241b52c378435a9491c.tar.xz
Source hooks called by perform_hook, rather than start another shell to run them. This means that hooks will be able to see all variables defined in an ebuild.
-rwxr-xr-xebuild/ebuild.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index 88d51a0..65288cb 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -214,7 +214,7 @@ perform_hook()
for hook_file in "${hook_dir}/${HOOK}/"*.bash ; do
[[ -e "${hook_file}" ]] || continue
ebuild_notice "debug" "Starting hook script '${hook_file}' for '${HOOK}'"
- if ! bash "${hook_file}" ; then
+ if ! ( source "${hook_file}" ) ; then
ebuild_notice "warning" "Hook '${hook_file}' returned failure"
else
ebuild_notice "warning" "Hook '${hook_file}' returned success"